<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: combust_model_finitechem.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_e58901c8ee9d69c5bc9ee3298e74c570.html">thermofluid</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">combust_model_finitechem.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Main file for the finite chemistry combustion module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacecombust__finitechem"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__finitechem.html">combust_finitechem</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a5f8b1a62b8da95e827ba16244b96792c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__finitechem.html#a5f8b1a62b8da95e827ba16244b96792c">combust_finitechem::combust_finitechem_register_data</a> (vdf, skip_T_scalar)</td></tr>
<tr class="memdesc:a5f8b1a62b8da95e827ba16244b96792c"><td class="mdescLeft">&#160;</td><td class="mdescRight">register data for <a class="el" href="namespacecombust__finitechem.html">combust_finitechem</a> module (called by all solvers)  <a href="namespacecombust__finitechem.html#a5f8b1a62b8da95e827ba16244b96792c">More...</a><br /></td></tr>
<tr class="separator:a5f8b1a62b8da95e827ba16244b96792c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c09cd95febbba3847b4fa31cdc8a1c4"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__finitechem.html#a7c09cd95febbba3847b4fa31cdc8a1c4">combust_finitechem::combust_finitechem_init</a> (vdf)</td></tr>
<tr class="memdesc:a7c09cd95febbba3847b4fa31cdc8a1c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">initialization of finite chemistry (all solvers)  <a href="namespacecombust__finitechem.html#a7c09cd95febbba3847b4fa31cdc8a1c4">More...</a><br /></td></tr>
<tr class="separator:a7c09cd95febbba3847b4fa31cdc8a1c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf0cdbce77af60b67a96999898d056c0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="combust__model__finitechem_8f90.html#adf0cdbce77af60b67a96999898d056c0">assign_ptr_to</a> (a, d)</td></tr>
<tr class="memdesc:adf0cdbce77af60b67a96999898d056c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">function to ensure bounds of a are equal to d  <a href="#adf0cdbce77af60b67a96999898d056c0">More...</a><br /></td></tr>
<tr class="separator:adf0cdbce77af60b67a96999898d056c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae65307b522e5ebefdca8dcc4a3686dc9"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__finitechem.html#ae65307b522e5ebefdca8dcc4a3686dc9">combust_finitechem::combust_finitechem_prestep1</a> (vdf)</td></tr>
<tr class="memdesc:ae65307b522e5ebefdca8dcc4a3686dc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">prestep of finite chem combustion model (all solvers)  <a href="namespacecombust__finitechem.html#ae65307b522e5ebefdca8dcc4a3686dc9">More...</a><br /></td></tr>
<tr class="separator:ae65307b522e5ebefdca8dcc4a3686dc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10fd6228415de7e75388d2d429dd7e1b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__finitechem.html#a10fd6228415de7e75388d2d429dd7e1b">combust_finitechem::combust_finitechem_step</a> (vdf, species_FC_, species_FCold_, T_, Told_)</td></tr>
<tr class="memdesc:a10fd6228415de7e75388d2d429dd7e1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">step of finite chem combustion model (all solvers)  <a href="namespacecombust__finitechem.html#a10fd6228415de7e75388d2d429dd7e1b">More...</a><br /></td></tr>
<tr class="separator:a10fd6228415de7e75388d2d429dd7e1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8f9057481b2e9785259a00566d976fe"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__finitechem.html#ac8f9057481b2e9785259a00566d976fe">combust_finitechem::combust_finitechem_poststep</a> (vdf)</td></tr>
<tr class="memdesc:ac8f9057481b2e9785259a00566d976fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">poststep of finite chem combustion model (all solvers)  <a href="namespacecombust__finitechem.html#ac8f9057481b2e9785259a00566d976fe">More...</a><br /></td></tr>
<tr class="separator:ac8f9057481b2e9785259a00566d976fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cd715f8af83c34de1b3601a018a16a0"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__finitechem.html#a5cd715f8af83c34de1b3601a018a16a0">combust_finitechem::combust_finitechem_source_scalar_mid</a> (vdf)</td></tr>
<tr class="memdesc:a5cd715f8af83c34de1b3601a018a16a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the source terms for combustion.  <a href="namespacecombust__finitechem.html#a5cd715f8af83c34de1b3601a018a16a0">More...</a><br /></td></tr>
<tr class="separator:a5cd715f8af83c34de1b3601a018a16a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50bf13e455dd4fc19297f882f47beda8"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__finitechem.html#a50bf13e455dd4fc19297f882f47beda8">combust_finitechem::combust_finitechem_monitor_init</a> (vdf)</td></tr>
<tr class="memdesc:a50bf13e455dd4fc19297f882f47beda8"><td class="mdescLeft">&#160;</td><td class="mdescRight">initialize finitechem monitor  <a href="namespacecombust__finitechem.html#a50bf13e455dd4fc19297f882f47beda8">More...</a><br /></td></tr>
<tr class="separator:a50bf13e455dd4fc19297f882f47beda8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac432c2a48df4c5cb800bc522d002a8c8"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__finitechem.html#ac432c2a48df4c5cb800bc522d002a8c8">combust_finitechem::combust_finitechem_monitor_update</a> (vdf)</td></tr>
<tr class="memdesc:ac432c2a48df4c5cb800bc522d002a8c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">update finitechem monitor  <a href="namespacecombust__finitechem.html#ac432c2a48df4c5cb800bc522d002a8c8">More...</a><br /></td></tr>
<tr class="separator:ac432c2a48df4c5cb800bc522d002a8c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Main file for the finite chemistry combustion module. </p>
<p>Finite chemistry combustion module </p>
</div><h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="adf0cdbce77af60b67a96999898d056c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf0cdbce77af60b67a96999898d056c0">&#9670;&nbsp;</a></span>assign_ptr_to()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combust_finitechem_init::assign_ptr_to </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:,:,:), intent(out), pointer&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:,sd%jmino_:,sd%kmino_:), intent(in), target&#160;</td>
          <td class="paramname"><em>d</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>function to ensure bounds of a are equal to d </p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="combust__model__finitechem_8f90_adf0cdbce77af60b67a96999898d056c0_icgraph.png" border="0" usemap="#combust__model__finitechem_8f90_adf0cdbce77af60b67a96999898d056c0_icgraph" alt=""/></div>
<map name="combust__model__finitechem_8f90_adf0cdbce77af60b67a96999898d056c0_icgraph" id="combust__model__finitechem_8f90_adf0cdbce77af60b67a96999898d056c0_icgraph">
<area shape="rect" id="node2" href="namespacecombust__finitechem.html#a7c09cd95febbba3847b4fa31cdc8a1c4" title="initialization of finite chemistry (all solvers) " alt="" coords="153,90,324,131"/>
<area shape="rect" id="node3" href="namespacecombust__func.html#a557da94e3f7e991b5cc64fbf2be82a94" title="combust_func::combust\l_init_part1" alt="" coords="372,90,535,131"/>
<area shape="rect" id="node4" href="namespacethf__arts.html#ad83aa8f674cbd91f1d9156c78c4745d0" title="initialize thermofluid module (lowMach solver) ! " alt="" coords="583,64,725,91"/>
<area shape="rect" id="node12" href="namespacethf__arts__cf.html#ad02588308144b96824c7ebda3a8c5440" title="initialize thermofluid module (compressible) ! " alt="" coords="586,155,722,197"/>
<area shape="rect" id="node5" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="773,5,935,32"/>
<area shape="rect" id="node8" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="789,57,919,98"/>
<area shape="rect" id="node6" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="983,5,1147,32"/>
<area shape="rect" id="node7" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1249,5,1293,32"/>
<area shape="rect" id="node9" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="995,57,1135,98"/>
<area shape="rect" id="node10" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1204,57,1339,98"/>
<area shape="rect" id="node11" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1405,64,1474,91"/>
<area shape="rect" id="node13" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="792,155,916,197"/>
<area shape="rect" id="node19" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="779,221,929,262"/>
<area shape="rect" id="node14" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="998,155,1131,197"/>
<area shape="rect" id="node15" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1207,122,1335,163"/>
<area shape="rect" id="node17" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1204,187,1339,229"/>
<area shape="rect" id="node16" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1408,129,1471,156"/>
<area shape="rect" id="node18" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1405,195,1473,221"/>
<area shape="rect" id="node20" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="985,221,1144,262"/>
<area shape="rect" id="node21" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="1195,253,1348,294"/>
<area shape="rect" id="node22" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1396,260,1483,287"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
